Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.service
Interface IServiceInvoker

All Known Implementing Classes:
  ServiceInvoker

    public interface IServiceInvoker

Interface for objects that execute service calls (remote calls from client).

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard (luke@codegent.com)

Method Summary
`boolean` | `invoke(IServiceCall call, IScope scope)` Execute the passed service call in the given scope.
`boolean` | `invoke(IServiceCall call, Object service)` Execute the passed service call in the given object.

Method Detail

### invoke

    boolean invoke(IServiceCall call,
                   IScope scope)

  Execute the passed service call in the given scope. This looks up the handler for the call in the scope and the context of the scope.

  Parameters:
    `call` - the call to invoke
    `scope` - the scope to search for a handler
  Returns:
    `true` if the call was performed, otherwise `false`

### invoke

    boolean invoke(IServiceCall call,
                   Object service)

  Execute the passed service call in the given object.

  Parameters:
    `call` - the call to invoke
    `service` - the service to use
  Returns:
    `true` if the call was performed, otherwise `false`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project